%global forgeurl https://github.com/Odizinne/HeadsetControl-Qt
# version needs to be set at the start for forgemeta command
Version: 26
%forgemeta

Name:           HeadsetControl-Qt
Release:        1%{?dist}
Summary:        Qt Gui for headsetcontrol

License:        GPLv3

URL:            %{forgeurl}
Source0:        %{forgesource}
Source1:	%{name}.desktop

BuildRequires:  desktop-file-utils
BuildRequires:  make

# qt 6
BuildRequires:	pkgconfig(Qt6)
BuildRequires:	qt6-linguist
BuildRequires:  qt6-qttranslations
BuildRequires:  pkgconfig(Qt6Qml)
BuildRequires:  pkgconfig(Qt6Quick)
BuildRequires:  pkgconfig(Qt6QuickControls2)

Requires:       hicolor-icon-theme
# HeadsetControl cli needed to work
Requires:	HeadsetControl

%description
Qt Gui for the headsetcontrol cli tool

%prep
%setup -q

mkdir -p %{_vpath_builddir}

%build
pushd %{_vpath_builddir}
%qmake_qt6 \
    PREFIX=%{buildroot}%{_prefix} \
    ../%{name}.pro 
    %make_build
popd

#make_build -C %{_vpath_builddir}


%install

install -Dpm 755 %{_vpath_builddir}/%{name} %{buildroot}%{_bindir}/%{name}
install -Dpm 644 Resources/icons/icon.png %{buildroot}%{_datadir}/icons/hicolor/512x512/apps/%{name}.png
install -Dpm 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
#make_install -C %{_vpath_builddir} 
#INSTALL_ROOT=%{buildroot}

#desktop-file-install                            \
#--set-icon=%{name}                              \
#--set-key=Exec --set-value=%{_bindir}/%{name}   \
#--dir=%{buildroot}/%{_datadir}/applications     \
#%{name}.desktop


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%license license
%doc README.md 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/512x512/apps/%{name}.png

%changelog
* Sun May 04 2025 Christian Birk <mail@birkc.de> - 26-1
- new version

* Tue Dec 03 2024 Christian Birk <mail@birkc.de> - 24-1
- inital version

